package com.qmth.sop.business.bean.result;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.sop.common.enums.ProductTypeEnum;
import com.qmth.sop.common.enums.ServiceStatusEnum;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 派单服务单元（关联）结果
 * @Author: CaoZixuan
 * @Date: 2023-08-10
 */
public class CrmServiceResult {
    @ApiModelProperty("服务单元id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long serviceUnitId;

    @ApiModelProperty("服务单元名称")
    private String serviceUnitName;

    @ApiModelProperty("服务单元状态")
    private ServiceStatusEnum serviceUnitStatus;

    @ApiModelProperty("派单id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long crmId;

    @ApiModelProperty("派单号")
    private String crmNo;

    @ApiModelProperty("派单开始时间")
    private Long beginTime;

    @ApiModelProperty("派单人id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long crmUserId;

    @ApiModelProperty("派单人名称")
    private String crmUserName;

    @ApiModelProperty("客户id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long customId;

    @ApiModelProperty("客户名称")
    private String customName;

    @ApiModelProperty("业务类型")
    private ProductTypeEnum productType;

    @ApiModelProperty("产品id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long productId;

    @ApiModelProperty("产品名称")
    private String productName;

    @ApiModelProperty("考试开始时间")
    private Long examStartTime;

    @ApiModelProperty("考试结束时间")
    private Long examEndTime;

    @ApiModelProperty("省")
    private String province;

    @ApiModelProperty("市")
    private String city;

    @ApiModelProperty("区")
    private String area;

    @ApiModelProperty("服务档位")
    private String level;

    @ApiModelProperty("创建人id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long creatorId;

    @ApiModelProperty("创建时间")
    private Long createTime;

    @ApiModelProperty("创建人名称")
    private String creatorName;

    public Long getServiceUnitId() {
        return serviceUnitId;
    }

    public void setServiceUnitId(Long serviceUnitId) {
        this.serviceUnitId = serviceUnitId;
    }

    public String getServiceUnitName() {
        return serviceUnitName;
    }

    public void setServiceUnitName(String serviceUnitName) {
        this.serviceUnitName = serviceUnitName;
    }

    public ServiceStatusEnum getServiceUnitStatus() {
        return serviceUnitStatus;
    }

    public void setServiceUnitStatus(ServiceStatusEnum serviceUnitStatus) {
        this.serviceUnitStatus = serviceUnitStatus;
    }

    public Long getCrmId() {
        return crmId;
    }

    public void setCrmId(Long crmId) {
        this.crmId = crmId;
    }

    public String getCrmNo() {
        return crmNo;
    }

    public void setCrmNo(String crmNo) {
        this.crmNo = crmNo;
    }

    public Long getBeginTime() {
        return beginTime;
    }

    public void setBeginTime(Long beginTime) {
        this.beginTime = beginTime;
    }

    public Long getCrmUserId() {
        return crmUserId;
    }

    public void setCrmUserId(Long crmUserId) {
        this.crmUserId = crmUserId;
    }

    public String getCrmUserName() {
        return crmUserName;
    }

    public void setCrmUserName(String crmUserName) {
        this.crmUserName = crmUserName;
    }

    public Long getCustomId() {
        return customId;
    }

    public void setCustomId(Long customId) {
        this.customId = customId;
    }

    public String getCustomName() {
        return customName;
    }

    public void setCustomName(String customName) {
        this.customName = customName;
    }

    public ProductTypeEnum getProductType() {
        return productType;
    }

    public void setProductType(ProductTypeEnum productType) {
        this.productType = productType;
    }

    public Long getProductId() {
        return productId;
    }

    public void setProductId(Long productId) {
        this.productId = productId;
    }

    public String getProductName() {
        return productName;
    }

    public void setProductName(String productName) {
        this.productName = productName;
    }

    public Long getExamStartTime() {
        return examStartTime;
    }

    public void setExamStartTime(Long examStartTime) {
        this.examStartTime = examStartTime;
    }

    public Long getExamEndTime() {
        return examEndTime;
    }

    public void setExamEndTime(Long examEndTime) {
        this.examEndTime = examEndTime;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getArea() {
        return area;
    }

    public void setArea(String area) {
        this.area = area;
    }

    public String getLevel() {
        return level;
    }

    public void setLevel(String level) {
        this.level = level;
    }

    public Long getCreatorId() {
        return creatorId;
    }

    public void setCreatorId(Long creatorId) {
        this.creatorId = creatorId;
    }

    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }

    public String getCreatorName() {
        return creatorName;
    }

    public void setCreatorName(String creatorName) {
        this.creatorName = creatorName;
    }
}
